import PointVo from './PointVo';
import LineVo from './LineVo';
var LineWithPoint = /** @class */ (function () {
    function LineWithPoint() {
        this.pointVos = [];
        this.lineVos = [];
    }
    LineWithPoint.fromJson = function (json) {
        var lwp = new LineWithPoint();
        lwp.pointVos = json.pointVos.map(PointVo.fromJson);
        lwp.lineVos = json.lineVos.map(LineVo.fromJson);
        return lwp;
    };
    return LineWithPoint;
}());
export default LineWithPoint;
